"{ Package: 'exept:regression' }"

LibraryDefinition subclass:#exept_regression
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!exept_regression class methodsFor:'accessing - tests'!

testSuite

    | suite |

    suite := TestSuite named: self package.
    #(
        'AssociationTests'
        "/ 'BinaryIOTests'
        'BinaryTreeTester'
        "/ 'BlockTest'
        'CharacterTests'
        'CollectionTests'
        "/ 'CompilerTest'
        'ComplexTest'
        "/ 'DebuggerTest'
        "/ 'DeepCopyTests'
        "/ 'DelayTest'
        "/ 'DictionaryTest'
        "/ 'EnumerationTests'
        "/ 'ExceptionTest'
        "/ 'ExternalInterfaceTests'
        "/ 'FileOpenTest'
        "/ 'FileStreamTest'
        "/ 'FloatTest'
        "/ 'FractionTest'
        "/ 'FractionTest'
        "/ 'GCTest'
        "/ 'GraphicDrawingTest'
        "/ 'HTMLParserTests'
        "/ 'ImageReaderTest'
        "/ 'IntegerTest'
        "/ 'JavaScriptTests'
        "/ 'MeasurementValueTests'
        "/ 'MemoryTest'
        'NumberTest'
        "/ 'ParserTest'
        "/ 'ScaledDecimalTest'
        "/ 'SemaphoreTest'
        "/ 'SharedQueueTest'
        'SmallIntegerTest'
        "/ 'SortTests'
        "/ 'StringTests'
        "/ 'TimeAndDateTest'
        "/ 'TimeDurationTest'
        "/ 'URLTest'
        "/ 'XMLCoderTests'
        "/ 'ZipArchiveTests'
    ) do:[:className |
        |fullName|
        fullName := ('RegressionTests::',className).
        Smalltalk fileInClass:fullName package:'exept:regression'.
        suite addTest:(Smalltalk classNamed:fullName) suite.
    ].

    ^suite

    "Created: / 03-08-2011 / 09:19:50 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!exept_regression class methodsFor:'description'!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
    )
!

preRequisites
    "list all required packages.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies and looking for
     global variable accesses. (the browser has a menu function for that)
     Howevery, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPrerequisites method."

    ^ #(
        #'stx:libbasic'    "Autoload - superclass of RegressionTests::BehaviorLookupObjectTests "
    )
! !

!exept_regression class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        (#'RegressionTests::AssociationTests' autoload)
        (#'RegressionTests::BecomeTests' autoload)
        (#'RegressionTests::BehaviorLookupObjectTests' autoload)
        (#'RegressionTests::BinaryIOTests' autoload)
        (#'RegressionTests::BinaryTreeTester' autoload)
        (#'RegressionTests::BlockTest' autoload)
        (#'RegressionTests::CharacterEncoderTests' autoload)
        (#'RegressionTests::CharacterSetTests' autoload)
        (#'RegressionTests::CharacterTests' autoload)
        (#'RegressionTests::ClassWithoutVersionMethod' autoload)
        (#'RegressionTests::CollectionTests' autoload)
        (#'RegressionTests::CompilerTest' autoload)
        (#'RegressionTests::ComplexTest' autoload)
        (#'RegressionTests::ContextTest2' autoload)
        (#'RegressionTests::CoverageInstrumentationTest' autoload)
        (#'RegressionTests::DebuggerTest' autoload)
        (#'RegressionTests::DeepCopyTests' autoload)
        (#'RegressionTests::DelayTest' autoload)
        (#'RegressionTests::DictionaryTest' autoload)
        (#'RegressionTests::DoubleMetaphoneStringComparatorTest' autoload)
        (#'RegressionTests::EnumerationTests' autoload)
        (#'RegressionTests::ExceptionTest' autoload)
        (#'RegressionTests::ExternalInterfaceTests' autoload)
        (#'RegressionTests::ExternalStreamTest' autoload)
        (#'RegressionTests::FileOpenTest' autoload)
        (#'RegressionTests::FileStreamTest' autoload)
        (#'RegressionTests::FloatTest' autoload)
        (#'RegressionTests::FractionTest' autoload)
        (#'RegressionTests::GCTest' autoload)
        (#'RegressionTests::GraphicDrawingTest' autoload)
        (#'RegressionTests::HTMLParserTests' autoload)
        (#'RegressionTests::ImageReaderTest' autoload)
        (#'RegressionTests::IntegerTest' autoload)
        (#'RegressionTests::JITTest' autoload)
        (#'RegressionTests::JavaScriptTests' autoload)
        (#'RegressionTests::KoelnerPhoneticCodeStringComparatorTest' autoload)
        (#'RegressionTests::LabelResizingTest' autoload)
        (#'RegressionTests::LargeFloatTest' autoload)
        (#'RegressionTests::ManyProcessesTest' autoload)
        (#'RegressionTests::MeasurementValueTests' autoload)
        (#'RegressionTests::MemoryTest' autoload)
        (#'RegressionTests::MetaNumbersTest' autoload)
        (#'RegressionTests::MiracodeStringComparatorTest' autoload)
        (#'RegressionTests::MySQLSoundexStringComparatorTest' autoload)
        (#'RegressionTests::NumberTest' autoload)
        (#'RegressionTests::OS_OLE_Tests' autoload)
        (#'RegressionTests::OperatingSystemTest' autoload)
        (#'RegressionTests::OperationInQueueTests' autoload)
        (#'RegressionTests::PTYTest' autoload)
        (#'RegressionTests::ParserTest' autoload)
        (#'RegressionTests::ParserTests' autoload)
        (#'RegressionTests::PipeStreamTest' autoload)
        (#'RegressionTests::PowerSetTests' autoload)
        (#'RegressionTests::ProcessTest' autoload)
        (#'RegressionTests::ProjectDefinitionTest' autoload)
        (#'RegressionTests::QueueTest' autoload)
        (#'RegressionTests::QuickTest' autoload)
        (#'RegressionTests::ScaledDecimalTest' autoload)
        (#'RegressionTests::SelectorNamespacesTests' autoload)
        (#'RegressionTests::SemaphoreTest' autoload)
        (#'RegressionTests::ServerSocketTest' autoload)
        (#'RegressionTests::SharedQueueTest' autoload)
        (#'RegressionTests::SmallIntegerTest' autoload)
        (#'RegressionTests::SortTests' autoload)
        (#'RegressionTests::SoundexStringComparatorTest' autoload)
        (#'RegressionTests::StackFrameTest' autoload)
        (#'RegressionTests::StringTests' autoload)
        (#'RegressionTests::TestDialogs1' autoload)
        (#'RegressionTests::TimeAndDateTest' autoload)
        (#'RegressionTests::TimeDurationTest' autoload)
        (#'RegressionTests::URLTest' autoload)
        (#'RegressionTests::UTF8TestClass' autoload)
        (#'RegressionTests::WeakCollectionTest' autoload)
        (#'RegressionTests::Win32OperatingSystemTest' autoload)
        (#'RegressionTests::WrongMethodCalledTest' autoload)
        (#'RegressionTests::XMLCoderTests' autoload)
        (#'RegressionTests::ZipArchiveTests' autoload)
        #'exept_regression'
        (#'RegressionTests::LiteralsInMethodTests' autoload)
        (#'RegressionTests::WritingToTranscriptOrStdoutTest' autoload)
        (#'RegressionTests::SunitXMLOutputTest' autoload)
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
    )
! !

!exept_regression class methodsFor:'description - project information'!

applicationIconFileName
    "Return the name (without suffix) of an icon-file (the app's icon); will be included in the rc-resource file"

    ^ nil
    "/ ^ self applicationName
!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in vc.def / bc.def"

    ^ 'Class Library'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright eXept Software AG 1998-2011'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'eXept addOns'
! !

!exept_regression class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !
